%global pypi_name honcho

Name:           python-%{pypi_name}
Version:        1.0.1
Release:        2%{?dist}
Summary:        Python clone of Foreman

License:        MIT
URL:            https://github.com/nickstenning/honcho
Source0:        https://files.pythonhosted.org/packages/source/h/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

%description
Honcho is a Python port of Foreman,for managing Procfile-based
applications

%package -n python3-%{pypi_name}
Summary:        Python3 clone of Foreman
Group:          Development/Libraries
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-test
BuildRequires:  python3

Requires:       python3-jinja2
Requires:       python3-babel
Requires:       python3-markupsafe
Requires:       python3-pytz

%description -n python3-%{pypi_name}
Honcho is a Python3 port of Foreman,for managing Procfile-based
applications

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%check
#%{__python3} setup.py test

%files -n python3-%{pypi_name}
%doc README.rst
%{_bindir}/honcho
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Sun Oct 28 2018 William Moreno Reyes <williamjmorenor@gmail.com> - 1.0.1-2
- Remove python2 pacakge

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.5.0-17
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 19 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.5.0-15
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.5.0-12
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-11
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-9
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Wed Sep 16 2015 William Moreno Reyes <williamjmorenor at gmail.com> - 0.5.0-8
- FixFix %%files

* Wed Sep 16 2015 William Moreno Reyes <williamjmorenor at gmail.com> - 0.5.0-7
- Update python macros
- Include subpackages for python 2 and 3

* Tue Jul 21 2015 William Moreno Reyes <williamjmorenor@gmail.com> - 0.5.0-6
- Fix Python2 Requires

* Tue Jul 21 2015 William Moreno Reyes <williamjmorenor@gmail.com> - 0.5.0-5
- Build with Python 2 and 3

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Feb 06 2015 William Moreno Reyes <williamjmorenor@gmail.com> - 0.5.0-3
- Build only with Pyhon3

* Sun Feb 01 2015 William Moreno Reyes <williamjmorenor@gmail.com> - 0.5.0-2
- Add Python3 subpackage

* Thu Oct 23 2014 William Moreno Reyes <williamjmorenor at gmail.com> - 0.5.0-1
- Initial package.
